Bug 1149948 - munin-async pid file in /var/run rather than /var/run/munin
Summary: munin-async pid file in /var/run rather than /var/run/munin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: munin
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: d. johnson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-07 02:34 UTC by Daniel Black
Modified: 2014-11-12 23:15 UTC (History)
2 users (show)

Fixed In Version: munin-2.0.24-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-03 05:21:37 UTC


Attachments (Terms of Use)

Description Daniel Black 2014-10-07 02:34:21 UTC
Description of problem:

/var/run/munin has been configured with permissions for init scripts and munin-async uses /var/run

Version-Release number of selected component (if applicable):

# yum info munin-async
Loaded plugins: etckeeper, product-id, security
Installed Packages
Name        : munin-async
Arch        : noarch
Version     : 2.0.21
Release     : 1.el6
Size        : 15 k
Repo        : installed
From repo   : epel


Expected results:


Additional info:


diff --git a/rc.d/init.d/munin-asyncd b/rc.d/init.d/munin-asyncd
index a164d4a..7a8c6af 100755
--- a/rc.d/init.d/munin-asyncd
+++ b/rc.d/init.d/munin-asyncd
@@ -17,8 +17,8 @@
 
 ASYNC_BIN=munin-asyncd
 PATH=/sbin:/bin:/usr/sbin:/usr/bin
 DAEMON=/usr/sbin/${ASYNC_BIN}
-PIDFILE=/var/run/${ASYNC_BIN}.pid
+PIDFILE=/var/run/munin/${ASYNC_BIN}.pid

Comment 1 Fedora Update System 2014-10-18 02:41:05 UTC
munin-2.0.23-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/munin-2.0.23-1.fc21

Comment 2 Fedora Update System 2014-10-18 02:41:34 UTC
munin-2.0.23-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/munin-2.0.23-1.fc20

Comment 3 Fedora Update System 2014-10-18 02:42:09 UTC
munin-2.0.23-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/munin-2.0.23-1.fc19

Comment 4 Fedora Update System 2014-10-18 02:43:15 UTC
munin-2.0.23-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/munin-2.0.23-1.el7

Comment 5 Fedora Update System 2014-10-18 02:43:56 UTC
munin-2.0.23-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.23-1.el6

Comment 6 Fedora Update System 2014-10-18 02:44:34 UTC
munin-2.0.23-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/munin-2.0.23-1.el5

Comment 7 Fedora Update System 2014-10-19 02:33:16 UTC
Package munin-2.0.23-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing munin-2.0.23-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-13233/munin-2.0.23-1.fc21
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2014-10-26 15:35:17 UTC
munin-2.0.24-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/munin-2.0.24-1.el5

Comment 9 Fedora Update System 2014-10-26 15:36:45 UTC
munin-2.0.24-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.24-1.el6

Comment 10 Fedora Update System 2014-10-26 15:37:12 UTC
munin-2.0.24-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/munin-2.0.24-1.el7

Comment 11 Fedora Update System 2014-10-26 15:37:35 UTC
munin-2.0.24-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/munin-2.0.24-1.fc19

Comment 12 Fedora Update System 2014-10-26 15:37:56 UTC
munin-2.0.24-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/munin-2.0.24-1.fc20

Comment 13 Fedora Update System 2014-10-26 15:38:25 UTC
munin-2.0.24-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/munin-2.0.24-1.fc21

Comment 14 Fedora Update System 2014-11-03 05:21:37 UTC
munin-2.0.24-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2014-11-07 02:36:31 UTC
munin-2.0.24-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2014-11-07 02:37:34 UTC
munin-2.0.24-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2014-11-12 23:14:19 UTC
munin-2.0.24-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2014-11-12 23:15:09 UTC
munin-2.0.24-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2014-11-12 23:15:50 UTC
munin-2.0.24-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.